Forum des utilisateurs NuTyX

CONFIGURATION => Le réseau => Discussion démarrée par: artemia76 le lun. déc. 31 08:21:51 2018

Titre: blueman + mate : erreur
Posté par: artemia76 le lun. déc. 31 08:21:51 2018
En suivant ce lien : https://github.com/blueman-project/blueman/wiki/PolicyKit (https://github.com/blueman-project/blueman/wiki/PolicyKit)
La solution est d'installer un fichier de règle polkit:
/etc/polkit-1/rules.d/90-blueman.rules
/* Allow users in wheel group to use blueman feature requiring root without authentication */
polkit.addRule(function(action, subject) {
    if ((action.id == "org.blueman.network.setup" ||
         action.id == "org.blueman.dhcp.client" ||
         action.id == "org.blueman.rfkill.setstate" ||
         action.id == "org.blueman.pppd.pppconnect") &&
        subject.isInGroup("wheel")) {
        return polkit.Result.YES;
    }
});

Le mieux serait je pense de l'inclure dans le packaging de blueman
Titre: Re : blueman + mate : erreur
Posté par: Thierry le lun. déc. 31 11:04:55 2018
Excellente idée et merci pour ce retour